Subject: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Thu, 04 Oct 2012 15:17:39 +0200

> In the Customization UI it would be simple to type a regexp without
 > special characters.  OTOH, the user will be able to copy the exact match
 > from the docstring, so we could add the exact match to docstrings:
 >
 > (make-obsolete-variable 'dired-shrink-to-fit
 > 			"use the Customization interface to add a new rule
 > to `display-buffer-alist' where condition regexp is \"^ \\*Marked Files\\*$\",
 > action argument symbol is `window-height' and its value is nil." "24.3")

Good.

 >> and (2) whether obsoletion strings can be that long (I have not found
 >> any when I searched recently).
 >
 > Just try to evaluate this `make-obsolete-variable' and see its result
 > in `C-h v dired-shrink-to-fit RET'.

You're right.  So please install them.

 >> We should add the detailed code somewhere, probably to the Elisp manual.
 >> As an example, I didn't know that using an ACTION argument where the
 >> FUNCTION component is nil would work in the first place.
 >
 > I learned about this feature from Stefan's comment in
 > http://debbugs.gnu.org/3419#133

I see.  BTW, this bug must have been swept under my carpet.  Though the
"reuse window & resize it" part should have been fixed by now.  I'll
close it ;-)

 >> There are further issues.
 >
 > Let's discuss them on emacs-devel.

OK

Thanks, martin